Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6023 - Packaging: gcc specs file refers to .o files from old packages
Summary: Packaging: gcc specs file refers to .o files from old packages
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: egcs
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-17 16:54 UTC by chaoticinc
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-01 01:33:17 UTC


Attachments (Terms of Use)

Description chaoticinc 1999-10-17 16:54:45 UTC
I attempted to test the gcc functionality of the standard
6.0 distribution on a pentium machine and found broken file
linkages and dependencies

The /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/specs
file used to control gcc refers to files crt1.o, crti.o and
crtn.o which are not a part of the files in the package
egcs-1.1.2-12 or any of the packages it depends on.

These files are only found in the compat-glibc-5.2-2.0.7.1
package which is only supposed to be required for backward
compatible compiling.

As a result, an attempt to compile even an empty file
such as 'test.c' below will result in an error from gcc of
the following:

> gcc test.c
/usr/bin/ld: cannot open crt1.o: No such file or directory
collect2: ld returned 1 exit status

The 'crt1.o' file should exist in the new package
glibc-2.1.1-6 or the 'specs' file should be updated for the
new compiler and libaries. I am not at all sure which is
correct. If the 'compat-glibc-5.2-2.0.7.1' package is
required, then the dependencies should be added for rpm
deployment and the rpm documentation modified.

Comment 1 Jim Kingdon 1999-11-01 01:33:59 UTC
crt1.o and friends are part of the glibc-devel package.  I'm not
going to make egcs depend on it, though, because gcc can still
function if you are using -nostdlib.  In one sense, this is the
wrong answer, because -nostdlib is kind of an obscure thing to do.
But I suspect it is the cleanest answer until/unless RPM gets more
sophisticated dependencies (recommend, required, suggested, etc).


Note You need to log in before you can comment on or make changes to this bug.